Bug 27503

Summary: Не работает на ядре un-def: segfault at 38 ip b75513ec sp bf9e4480 error 6 in libopenobex.so.1.4.1[b754c000+8000]
Product: [Development] Sisyphus Reporter: Motsyo Gennadi <drool@altlinux.ru>
Component: libopenobexAssignee: Valery Inozemtsev <shrek@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: critical    
Priority: P3 CC: aris@altlinux.org, boyarsh@altlinux.org, cas@altlinux.org, grizlik78@gmail.com, ldv@altlinux.org, mike@altlinux.org, shaba@altlinux.org, vsu@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
Attachments:
Description Flags
DIFF между /boot/config-* ядра, в котором работает (std-def) и нерабочим (un-def)
none
GDB backtrace для obex-data-server none

Description From 2012-06-26 10:30:53
При работе с ядром
uname -r
3.3.7-un-def-alt0.M60P.1
невозможно передать что-то более-менее объемное - прогрессбар передачи замирает
на какой-то проценте, в dmesg добавляется только это:
=========================================
segfault at 38 ip b75513ec sp bf9e4480 error 6 in
libopenobex.so.1.4.1[b754c000+8000]
=========================================
В системном логе такое:
=========================================
Jun 26 09:22:46 it blueman-mechanism: Starting blueman-mechanism
Jun 26 09:22:46 it dbus[3000]: [system] Successfully activated service
'org.blueman.Mechanism'
Jun 26 09:22:52 it bluetoothd[31332]: Discovery session 0xb77bcf68 with :1.115
activated
Jun 26 09:23:16 it blueman-mechanism: Exiting
Jun 26 09:23:28 it bluetoothd[31332]: Discovery session 0xb77cb690 with :1.117
activated
Jun 26 09:23:50 it bluetoothd[31332]: HCI dev 0 down
Jun 26 09:23:50 it bluetoothd[31332]: Adapter /org/bluez/31332/hci0 has been
disabled
Jun 26 09:23:50 it bluetoothd[31332]: HCI dev 0 unregistered
Jun 26 09:23:50 it bluetoothd[31332]: Stopping hci0 event socket
Jun 26 09:23:50 it bluetoothd[31332]: Unregister path: /org/bluez/31332/hci0
Jun 26 09:23:50 it dbus[3000]: [system] Rejected send message, 3 matched rules;
type="method_return", sender=":1.23" (uid=500 pid=4868 comm="/us
r/bin/python /usr/bin/blueman-applet ") interface="(unset)" member="(unset)"
error name="(unset)" requested_reply="0" destination=":1.113" (uid=
0 pid=31332 comm="/usr/sbin/bluetoothd ")
=========================================
Маленькие файлы еще успевают проскочить, а вот файл весом 470 килобайт так и не
удалось передать. При работе с ядром std-def такого вроде не замечено.
------- Comment #1 From 2012-06-26 10:56:50 -------
Обновил ядро до 
uname -r
3.4.3-un-def-alt0.M60P.1
Картина та же.
------- Comment #2 From 2012-06-26 11:08:59 -------
Created an attachment (id=5498) [details]
DIFF между /boot/config-* ядра, в котором работает (std-def) и нерабочим
(un-def)

На всякий случай прикладываю DIFF между /boot/config-* ядра, в котором работает
(std-def) и нерабочим (un-def)
------- Comment #3 From 2012-06-26 17:01:17 -------
Странно, по блютусной части разница "не в пользу" работающего ядра:

--- boot/config-3.0.35-std-def-alt0.M60P.1
+++ boot/config-3.4.3-un-def-alt0.M60P.1

-CONFIG_BT_L2CAP=y
-CONFIG_BT_SCO=y

Есть ли возможность проверить 3.0.x-un-def из сизифного архива?
------- Comment #4 From 2012-06-26 17:33:50 -------
(В ответ на комментарий №3)
> Есть ли возможность проверить 3.0.x-un-def из сизифного архива?

К сожалению нет, т.к. на этом ядре у меня не запустится графика.
------- Comment #5 From 2012-06-29 12:36:54 -------
Сегодня попробовал в сизифе. Ядро не самое свежее:
$ uname -mr
3.4.2-std-def-alt1 i686

Ситуация та же, маленький файл проскочил, а те что чуть побольше:
$ dmesg | grep obex         
[374200.180870] obex-data-serve[8353]: segfault at 38 ip b75ad3ec sp bff4f190
error 6 in libopenobex.so.1.4.1[b75a8000+8000]
[374279.888417] obex-data-serve[9050]: segfault at 38 ip b75793ec sp bf9a5f90
error 6 in libopenobex.so.1.4.1[b7574000+8000]
------- Comment #6 From 2012-06-29 13:00:22 -------
Только вот обновил ядро, перезагрузился, и пока не могу воспроизвести ни с
новым ядром, ни с предыдущим.
------- Comment #7 From 2012-06-29 13:27:09 -------
Правда эксперимент нельзя считать чистым. До обновления ядра использовался
телефон Sony Ericcsson J10i2, а после SE W810i. Как только J10i2 снова попадёт
в мои лапы — проверю с ним ещё раз.
------- Comment #8 From 2012-06-29 23:09:44 -------
В общем действительно, с SE J10i2 воспроизводится стабильно и с новым ядром.
------- Comment #9 From 2012-06-29 23:11:20 -------
Created an attachment (id=5501) [details]
GDB backtrace для obex-data-server
------- Comment #10 From 2012-07-31 18:06:22 -------
uname -r
3.4.6-un-def-alt0.M60P.1

Ситуация не исправилась.
------- Comment #11 From 2012-07-31 19:01:24 -------
Я сейчас испробовал libopenobex версии 1.6. С моим телефоном работа починилась,
так что прошу обновить. Правда приходится чинить ещё, как-минимум, сборку
obex-data-server.
------- Comment #12 From 2012-08-03 15:07:14 -------
(В ответ на комментарий №11)
> Я сейчас испробовал libopenobex версии 1.6. С моим телефоном работа починилась,
> так что прошу обновить. Правда приходится чинить ещё, как-минимум, сборку
> obex-data-server.

А можно src.rpm этих пакетов?
------- Comment #13 From 2012-08-03 15:51:53 -------
(В ответ на комментарий №12)
> А можно src.rpm этих пакетов?

Собрал сам - починилось, работает, файлы кидаются. Шрек, чё делать бум?
------- Comment #14 From 2012-08-03 21:41:58 -------
Обновленная libopenobex:
http://git.altlinux.org/people/drool/packages/libopenobex.git
Исправленный для сборки с этой версией obex-data-server:
http://git.altlinux.org/people/drool/packages/obex-data-server.git

2 Shrek: NMU дашь на libopenobex или самому просить в devel@ ?
------- Comment #15 From 2012-08-09 01:23:39 -------
(In reply to comment #14)
> Обновленная libopenobex:
> http://git.altlinux.org/people/drool/packages/libopenobex.git

Поскольку вы полностью изменили структуру git-репозитория, и вместо того, чтобы
смержить 1.6 (или более подходящий коммит) из
git://gitorious.org/openobex/mainline.git, фактически ликвидировали
преемственность, заменив весь прежний исходный код на openobex-1.6-Source, я
такой NMU одобрить не могу.
------- Comment #16 From 2012-08-09 13:32:31 -------
Что за бред? Был взят оригинальный тарбол с исходниками с оффсайта, а
преемственность полностью сохранена с git-ом текущего мантейнера, что является
обязательным для прохождения пакета через сборочницу.
------- Comment #17 From 2012-08-09 14:16:31 -------
(In reply to comment #16)
> Что за бред? Был взят оригинальный тарбол с исходниками с оффсайта, а
> преемственность полностью сохранена с git-ом текущего мантейнера, что является
> обязательным для прохождения пакета через сборочницу.

У текущего мейнтейнера libopenobex.git устроен совершенно иначе: там в 1.5-alt3
находится не "оригинальный тарбол с исходниками с оффсайта", а мерж локальных
изменений с тэгом 1.5 из git://gitorious.org/openobex/mainline.git

Если текущего мейнтейнера libopenobex судьба этого пакета не интересует, то
было бы честнее вам стать новым мейнтейнером и залить srpm, потому что
фактической преемственности между вашим коммитом и 1.5-alt3 нет, а история
пакета в git вас, судя по всему, не очень интересует.
------- Comment #18 From 2012-08-09 14:20:09 -------
Кажется, текущий мантейнер наконец узнал об этой баге. Что скажет он?
------- Comment #19 From 2012-08-09 16:54:11 -------
http://git.altlinux.org/people/shrek/packages/?p=openobex.git;a=commit;h=96460c265176f049eaf9fb0ddf1b56ffe6def763
------- Comment #20 From 2012-08-09 19:24:34 -------
Надеюсь, в t6/p6 это попадет?
------- Comment #21 From 2012-08-20 22:33:03 -------
(В ответ на комментарий №20)
> Надеюсь, в t6/p6 это попадет?

Хех. Оно что-то и в сизиф не попадает. Воз и ныне там...
------- Comment #22 From 2012-08-20 22:38:58 -------
(In reply to comment #21)
> (В ответ на комментарий №20)
> > Надеюсь, в t6/p6 это попадет?
> 
> Хех. Оно что-то и в сизиф не попадает. Воз и ныне там...

Чтобы новая версия libopenobex попала в Сизиф, нужно нечто большее, чем сборка
новой версии libopenobex:
http://lists.altlinux.org/pipermail/sisyphus-incominger/2012-August/320553.html
------- Comment #23 From 2012-08-20 22:54:06 -------
obex-data-server, исправленный для сборки с этой либой лежит у меня в git-е,
как я указывал. Других нестыковок у меня локально на симпли не вылезло. Какие
еще пакеты требуют пересборки/починки?
------- Comment #24 From 2012-08-21 23:27:01 -------
По ссылке всё сказано.  Я надеялся добраться, но пока не успеваю никак. 
Озадачишься?
------- Comment #25 From 2012-08-21 23:46:13 -------
(В ответ на комментарий №24)
> Озадачишься?

Отпуск закончился, так что тоже - по возможности :)

P.S. А вообще-то, такое впечатление, что блютуз в альте никому не нужен...
------- Comment #26 From 2012-09-04 15:02:42 -------
отправлено в сизиф.
------- Comment #27 From 2012-09-04 17:12:36 -------
Спасибо!!
------- Comment #28 From 2012-09-04 17:52:51 -------
(В ответ на комментарий №26)
> отправлено в сизиф.

Ой! А в p6/t6 осталось сломанным. Можно и там исправить?
------- Comment #29 From 2012-09-04 17:59:03 -------
это без меня :)
------- Comment #30 From 2012-09-09 19:41:28 -------
Переоткрываю на t6. Хотя это нужно и в p6.
------- Comment #31 From 2012-09-09 20:50:20 -------
Не надо исправленное мотать туда-сюда и переоткрывать.  Эта бага -- закрыта.
По бранчу открой другую.

Иначе можно было бы повесить на сизиф один вечный баг обо всём и ни о чём.
------- Comment #32 From 2012-09-09 22:36:07 -------
Ок, по мотивам этой баги: #27720 и #27719